#Using the import * means we are importing everything inside the designated library
#Thus the line below imports all functionality from tkinter library.
from tkinter import *

#This creates a GUI tk() Variable called calc.
calc=Tk()

#This function gives the window a name.
calc.title('Adding and Subtracting Calculator')

#Set the size of the GUI Window.
calc.geometry("720x180")

#Make our GUI a little more pleasing to the eye by altering the background colours.
calc['bg']="powder blue"

#Below is creating Labels on inside our GUI window. This is so users can
#understand how to use this calculator. The Labels are given a location on the window
#and also text is decided and made bold if important.
FirstLabel=Label(calc, text='First Number', font=('bold'))
FirstLabel.place(x=40, y=20)

SecondLabel=Label(calc, text='Second Number', font=('bold'))
SecondLabel.place(x=40, y=88)

ThirdLabel=Label(calc, text='Or')
ThirdLabel.place(x=358, y=83)

FourthLabel=Label(calc, text='Result', font=('bold'))
FourthLabel.place(x=556, y=52)

#This creates entry locations for the user to type numbers into the calculator. Also, a place
#for the result to be displayed is created.
FirstNumber=Entry()
FirstNumber.place(x=120, y=52)

SecondNumber=Entry()
SecondNumber.place(x=120, y=120)

ResultNumber=Entry()
ResultNumber.place(x=520, y=83)

#Below is the user-created function which will run whenever the Add button is clicked.
#First, we start by defining the function and giving it a name. All code of this function
#will be indented.
def add():

#Whenever this function is run initially we clear the result location. This is to stop
#number from stacking up and thus displaying the wrong result.
    ResultNumber.delete(0, 'end')

#Now it grabs the numbers from the first and second entry window. It also double-checks
#that the data by converting the data inputted into an integer type.
    First = int(FirstNumber.get())
    Second = int(SecondNumber.get())

#Here is the actual calculation occurring. Addition of both the numbers inputted    
    Calculation = First + Second

#Now you can display the number underneath the Result label.     
    ResultNumber.insert(END, str(Calculation))

#Same process is done below for the subtraction function.    
def sub():
    ResultNumber.delete(0, 'end')
    First = int(FirstNumber.get())
    Second = int(SecondNumber.get())
    Calculation = First - Second
    ResultNumber.insert(END, str(Calculation))

#Now that the functionality has been coded, we can create buttons that reference
#the above functionality. These buttons are also given a location on the window.
Button1=Button(calc, text='Add', command=add)
Button1.place(x=310, y=80)

Button2=Button(calc, text='Subtract', command=sub)
Button2.place(x=390, y=80)

#This is a way of creating an infinite loop. The application will run, wait for
#events to occur and process the events so long as the window is not closed.
#Another way to make an infinite loop would be creating while True infinite loop.
calc.mainloop()
